import { Queue } from "./Queue";
/**
 * Unbounded queue backed by a mutable javascript array.
 */
export declare class MutableQueue<T> implements Queue<T> {
    private readonly queue;
    dequeue(): T;
    enqueue(item: T): void;
    isEmpty(): boolean;
    size(): number;
}
